#!/usr/bin/make -f

export PYBUILD_NAME=pook
export PYBUILD_BEFORE_TEST=cp -r {dir}/examples {build_dir} ; rm -f {build_dir}/examples/mocket_example.py
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/examples

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_build:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=src/ http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml docs/ build/html # HTML generator
endif

# Clear proxy variables that are automatically set by pybuild
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	http_proxy= dh_auto_test || true
endif
